Subject: Re: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Liyu Gong <[email-masked]>
Date: Sat, 7 Apr 2018 11:25:28 -0400

Hi Joe,

It said "/d", not "/d/"

My emacs is download exactly the same address of yours. I mentioned
cygwin because you said I should see something like "/cygdrive/d/"
after pwd, and that's path is a cygwin path.

I just tried the old version (11.91.0). The output of "C-c C-c Other"
with pdflatex is:

Running `Other' on `aa' with ``pdflatex aa.tex''
This is pdfTeX, Version 3.14159265-2.6-1.40.18 (TeX Live 2017/W32TeX)
(preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
(./aa.tex
LaTeX2e <2017-04-15>
Babel <3.18> and hyphenation patterns for 84 language(s) loaded.
(c:/texlive/2017/texmf-dist/tex/latex/base/article.cls
Document Class: article 2014/09/29 v1.4h Standard LaTeX document class
(c:/texlive/2017/texmf-dist/tex/latex/base/size12.clo))
(c:/texlive/2017/texmf-dist/tex/latex/tree-dvips/lingmacros.sty)
(c:/texlive/2017/texmf-dist/tex/latex/tree-dvips/tree-dvips.sty
tree-dvips version .91 of May 16, 1995
)
No file aa.aux.
[1
Non-PDF special ignored!{c:/texlive/2017/texmf-var/fonts/map/pdftex/updmap/pdft
ex.map}
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!] (./aa.aux) )<c:/texlive/2017/texmf-dist/fonts/type1/p
ublic/amsfonts/cm/cmbx10.pfb><c:/texlive/2017/texmf-dist/fonts/type1/public/ams
fonts/cm/cmbx12.pfb><c:/texlive/2017/texmf-dist/fonts/type1/public/amsfonts/cm/
cmcsc10.pfb><c:/texlive/2017/texmf-dist/fonts/type1/public/amsfonts/cm/cmmi8.pf
b><c:/texlive/2017/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb><c:/texl
ive/2017/texmf-dist/fonts/type1/public/amsfonts/cm/cmr12.pfb><c:/texlive/2017/t
exmf-dist/fonts/type1/public/amsfonts/cm/cmsy8.pfb><c:/texlive/2017/texmf-dist/
fonts/type1/public/amsfonts/cm/cmti12.pfb>
Output written on aa.pdf (1 page, 84758 bytes).
Transcript written on aa.log.

TeX Output finished at Sat Apr  7 11:18:43

and the output of "C-c C-c Other" with "pwd" is:

Running `Other' on `aa' with ``pwd''
/d

TeX Output finished at Sat Apr  7 11:21:38

It seems the output of "pwd" is the same as the newest version.

Thanks,
Liyu

On Sat, Apr 7, 2018 at 11:13 AM,  <[email-masked]> wrote:
> Hi Liyu,
>
> Sorry, I forgot to tell you about killing the first process.
>
>> So I guess the problem is "pwd". My emacs is a windows version, not a
>> cygwin version, so I should expect "d:/", but it says "/d".
>
> Does it say "/d"? or "/d/", with a backlash at the end? Don't know if this is important, though.
>
> I'm not sure what you mean by "windows version". My emacs is not run from a cygwin prompt, it's downloaded from
>
> http://ftp.gnu.org/gnu/emacs/windows/
>
> installed as-is, and run like other Windows programs. Where does yours come from?
>
> If you can do one more experiment, you could try reinstalling the old auctex version that was working for you, and issue a "pwd" there as before, to see what kind of output it gives.
>
> Cheers!
> J